Commit 70520040 authored by Marek Vavruša's avatar Marek Vavruša

travis: use prebuilt depends on OS X (optional)

parent 59591561
......@@ -19,6 +19,7 @@ env:
- CFLAGS="${CFLAGS} -O0 -g -DNDEBUG"
- LD_LIBRARY_PATH="${HOME}/.local/lib"
- DYLD_LIBRARY_PATH="${HOME}/.local/lib"
- MAKEOPTS="-j2"
before_script:
- ./scripts/bootstrap-depends.sh ${HOME}/.local
script:
......
......@@ -13,12 +13,17 @@ install -d ${PREFIX}/{lib,libexec,include,bin,sbin,man,share,etc,info,doc,var}
[ ! -d .depend ] && mkdir .depend; cd .depend
# platform-specific
DEPEND_CACHE="https://dl.dropboxusercontent.com/u/2255176/resolver-${TRRAVIS_OS_NAME}-cache.tar.lzma"
PIP_PKGS="${TRAVIS_BUILD_DIR}/tests/pydnstest/requirements.txt cpp-coveralls"
if [ "${TRAVIS_OS_NAME}" == "osx" ]; then
brew install python
brew link --overwrite python
pip install --upgrade pip
pip install -r ${PIP_PKGS}
if wget "${DEPEND_CACHE}" -o cache.tar.lzma; then
echo "extracting prebuilt dependencies from ${DEPEND_CACHE}"
tar -x -C ${HOME} -f cache.tar.lzma || true
fi
fi
if [ "${TRAVIS_OS_NAME}" == "linux" ]; then
pip install --user ${USER} -r ${PIP_PKGS}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment